{
  "compilerOptions": {
    "target": "ES6",
    "module": "ESNext",
    "lib": [
      "ES5",
      "dom",
      "ES2015",
      "ES2016",
      "ESNext"
    ],
    "jsx": "react",
    "declaration": true,
    "sourceMap": true,
    "outDir": "./lib/esm",
    "strict": true,
    "resolveJsonModule": true,
    "moduleResolution": "node",
    "allowSyntheticDefaultImports": true,
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "allowJs": true,
    // "noFallthroughCasesInSwitch": true,
    
    // "isolatedModules": true,
    // "noEmit": true,
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.tsx"
  ],
  "exclude": [
    "node_modules",
    "lib/**/*",
    "src/**/*.stories.tsx",
    "src/**/*.test.tsx"
  ]
}